Subject: Re: locally storing issues/comments/projects

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jul 2025 14:31:16 -0700

Sahil Gautam <[email-masked]> writes:

> thought what if git supports it inherently, so i write this mail :)

As far as I know, no.

Your worry about these hosting providers taking the non-commit
project metainformation, like reviews and issues, hostage to prevent
their users from defecting may be real.  It would be very nice if
these hosting providers can agree to make project metainformations
interchangeable in an open way.  It would allow not just migration
between hosing providers, but may even allow federated operation to
be implemented.  You push your work to one site, somebody on another
site comment on your commits elsewhere, etc.